<header>
  {{! BAB }}
  <div class="info-box attribute bab" data-attribute="bab" data-tooltip-extended="bab">
    <h5><a class="rollable"><i class="fas fa-dice"></i> <span>{{localize "PF1.BABAbbr"}}</span></a></h5>
    <span class="value">
      {{#if iteratives}}
      {{iteratives}}
      {{else}}
      {{numberFormat system.attributes.bab.total decimals=0 sign=true}}
      {{/if}}
    </span>
  </div>

  {{! CMB }}
  <div class="info-box attribute attack cmb" data-attribute="cmb" data-tooltip-extended="cmb">
    <h5><a class="rollable" data-type="cmb" data-ranged="false"><i class="fas fa-dice"></i> <span>{{localize "PF1.CMBAbbr"}}</span></a></h5>
    <span class="value">{{numberFormat system.attributes.cmb.total decimals=0 sign=true}}</span>
  </div>

  <div class="info-box-joined generic-attacks">
    {{! Melee }}
    <div class="info-box attribute attack melee weapon" data-tooltip-extended="generic.attack.melee">
      <h5><a class="rollable" data-type="weapon" data-ranged="false"><i class="fas fa-dice"></i> <span>{{localize "PF1.Melee"}}</span></a></h5>
      <span class="value">{{numberFormat genericAttacks.melee.modifier decimals=0 sign=true}}</span>
    </div>

    {{! Ranged }}
    <div class="info-box attribute attack ranged weapon" data-tooltip-extended="generic.attack.ranged">
      <h5><a class="rollable" data-type="weapon" data-ranged="true"><i class="fas fa-dice"></i> <span>{{localize "PF1.Ranged"}}</span></a></h5>
      <span class="value">{{numberFormat genericAttacks.ranged.modifier decimals=0 sign=true}}</span>
    </div>
  </div>

  {{! Initiative }}
  <div class="info-box attribute initiative" data-attribute="initiative" data-tooltip-extended="init">
    <h5><a class="rollable"><i class="fas fa-dice"></i> <span>{{localize "PF1.Initiative"}}</span></a></h5>
    <span class="value">{{numberFormat system.attributes.init.total sign=true}}</span>
  </div>
</header>

<hr>

{{!-- Attack Filters --}}
<div class="inventory-filters flexrow">
  {{~> "systems/pf1/templates/internal/item-search.hbs" category="attacks"}}

  <ul class="filter-list flexrow" data-category="attacks">
    {{#each sections as |section sid|}}
      <li class="filter-item" data-category="attacks" data-filter="{{section.id}}">{{section.label}}</li>
    {{/each}}
  </ul>
</div>

{{!-- Attacks Header --}}
<div class="combat-attacks">
  <section class="attacks-body">
    <ol class="item-groups-list">
    {{#each sections as |section sid|}}
    {{#unless section._hidden}}
      <ol class="item-list" data-type="attack" data-subtype="{{sid}}">
        <li class="item-list-header flexrow attacks-{{sid}}">
          <div class="item-name">
            <h3>{{section.label}}</h3>
          </div>

          {{#if section.showTypes}}<div class="item-detail item-type"><i class="icon-pf icon-magic-palm" data-tooltip="PF1.Type"></i></div>{{/if}}

          <div class="item-detail item-attacks">
            <label>{{localize "PF1.Attacks"}}</label>
          </div>

          <div class="item-detail item-damage">
              <label>{{localize "PF1.Damage"}}</label>
          </div>

          <div class="item-detail item-range">
              <label>{{localize "PF1.Range"}}</label>
          </div>

          <div class="item-detail item-actions"><i class="icon-pf icon-gears" data-tooltip="PF1.ActionPlural"></i></div>

          <div class="item-detail item-uses"><i class="icon-pf icon-battery-pack" data-tooltip="PF1.ChargePlural"></i></div>

          {{#if @root.owner}}
          <div class="item-controls">
            {{#if interface.create}}
            <a class="item-control item-create" data-tooltip="PF1.CreateItem" data-create="{{path}}">
              <i class="fas fa-plus"></i> {{localize "PF1.Add"}}
            </a>
            {{/if}}
          </div>
          {{/if}}
        </li>

        {{#each section.items as |item iid|}}
        <li class="item flexrow" data-item-id="{{item.id}}">
          <div class="item-name rollable">
            <div class="item-image" style='background-image: url("{{item.img}}")' data-tooltip="PF1.DisplayInChat"></div>
            <h4>{{item.name~}}</h4>
          </div>

          {{#if section.showTypes}}
          <div class="item-detail item-type">
            <span>{{lookup @root.config.attackTypes item.subType}}</span>
          </div>
          {{/if}}

          <div class="item-detail item-attacks" data-tooltip-extended="item.{{item.id}}.attacks">
            {{#if item.hasAttack}}
            <label>{{attackSummary}}</label>
            {{/if}}
          </div>

          <div class="item-detail item-damage tooltip" data-tooltip-extended="item.{{item.id}}.damage">
            {{#if item.hasDamage}}
              <label class="resolved-formula">{{actionDamage item.document.defaultAction @root.rollData}}</label>
            {{/if}}
          </div>

          <div class="item-detail item-range" data-tooltip-extended="item.{{item.id}}.range">
            {{#if item.hasRange}}
            <label>{{actionRange item.document.defaultAction @root.rollData}}</label>
            {{/if}}
          </div>

          <div class="item-detail item-actions">
            <div class="item-action">
              {{#if item.hasAction}}
              <a class="item-control item-action action roll" data-tooltip="PF1.PerformAttack">
                <i class="fa-solid fa-dice-d20"></i>
              </a>
              {{/if}}
            </div>
          </div>

          <div class="item-detail item-uses flexrow" data-tooltip-extended="item.{{item.id}}.resources">
            {{#if item.isCharged}}
            <span class="text-box value allow-relative" data-wheel-step="1" data-dtype="Number">{{item.uses.value}}</span>
            <span class="sep"> / </span>
            <span class="max">{{item.uses.max}}</span>
            {{/if}}
          </div>

          {{#if @root.owner}}
          <div class="item-controls">
            <a class="item-control item-edit" data-tooltip="PF1.EditItem"><i class="fas fa-edit"></i></a>
            <a class="item-control item-duplicate" data-tooltip="PF1.DuplicateItem"><i class="fas fa-copy"></i></a>
            <a class="item-control item-delete" data-tooltip="PF1.DeleteItem"><i class="fas fa-trash"></i></a>
          </div>
          {{/if}}
        </li>
        {{/each}}
      </ol>
    {{/unless}}
    {{/each}}
    </ol>
  </section>
</div>

<hr>

{{!-- Defenses Header --}}
<div class="combat-defenses">
  <ul class="attributes flexrow">
    {{!-- Display Defenses --}}
    <li class="generic-defenses flexrow" data-drag="defenses">
      <h3>
        <i class="fa-solid fa-dice-d20 rollable"></i>
        {{localize "PF1.Defenses"}}
      </h3>
    </li>

    {{!-- Natural Armor --}}
    <li class="natural-armor flexrow">
      <h3>{{localize "PF1.BuffTarACNatural"}}</h3>
      <input name="system.attributes.naturalAC" type="number" data-dtype="Number" value="{{system.attributes.naturalAC}}" placeholder="0">
    </li>

    <li class="flexrow">
      <h3>{{localize "PF1.SpellResistance"}}</h3>
      <input class="formula" name="system.attributes.sr.formula" type="text" placeholder="{{localize "PF1.Formula"}}"
        value="{{#if system.attributes.sr.formula}}{{system.attributes.sr.formula}}{{/if}}">
    </li>
  </ul>

  {{> "systems/pf1/templates/actors/parts/actor-defenses_tables.hbs"}}

  <div class="attributes defense-notes flexcol scroll-primary" data-scroll-index="defense-notes">
    <div class="flexrow">
      <h3>{{localize "PF1.SaveNotes"}}</h3>
      <textarea class="context-text" name="system.attributes.saveNotes" placeholder="{{localize "PF1.SaveNotes"}}">{{system.attributes.saveNotes}}</textarea>
    </div>
    <hr>
    <div class="flexrow">
      <h3>{{localize "PF1.ACNotes"}}</h3>
      <textarea class="context-text" name="system.attributes.acNotes" placeholder="{{localize "PF1.ACNotes"}}">{{system.attributes.acNotes}}</textarea>
    </div>
    <hr>
    <div class="flexrow">
      <h3>{{localize "PF1.CMDNotes"}}</h3>
      <textarea class="context-text" name="system.attributes.cmdNotes" placeholder="{{localize "PF1.CMDNotes"}}">{{system.attributes.cmdNotes}}</textarea>
    </div>
    <hr>
    <div class="flexrow">
      <h3>{{localize "PF1.SpellResistanceNotes"}}</h3>
      <textarea class="context-text" name="system.attributes.srNotes" placeholder="{{localize "PF1.SpellResistanceNotes"}}">{{system.attributes.srNotes}}</textarea>
    </div>
    <hr>
  </div>
</div>
